# WOK
TKWOK
WOKNT

# WOKNT_StackIteratorOfStackOfHandle Class Reference

`#include <WOKNT_StackIteratorOfStackOfHandle.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKNT_StackIteratorOfStackOfHandle ()
Standard_EXPORT | WOKNT_StackIteratorOfStackOfHandle (const WOKNT_StackOfHandle &S)
Standard_EXPORT void | Initialize (const WOKNT_StackOfHandle &S)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const WOKNT_Handle & | Value () const

## Private Attributes

Standard_Address | current

## Constructor & Destructor Documentation

Standard_EXPORT WOKNT_StackIteratorOfStackOfHandle::WOKNT_StackIteratorOfStackOfHandle | ( |  | ) |

Standard_EXPORT WOKNT_StackIteratorOfStackOfHandle::WOKNT_StackIteratorOfStackOfHandle | ( | const WOKNT_StackOfHandle & | S | ) |

## Member Function Documentation

Standard_EXPORT void WOKNT_StackIteratorOfStackOfHandle::Initialize | ( | const WOKNT_StackOfHandle & | S | ) |

Standard_Boolean WOKNT_StackIteratorOfStackOfHandle::More | ( |  | ) | const

Standard_EXPORT void WOKNT_StackIteratorOfStackOfHandle::Next | ( |  | ) |

void WOKNT_StackIteratorOfStackOfHandle::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKNT_StackIteratorOfStackOfHandle::operator new | ( | size_t | size | ) | `[inline]`

void* WOKNT_StackIteratorOfStackOfHandle::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const WOKNT_Handle& WOKNT_StackIteratorOfStackOfHandle::Value | ( |  | ) | const

## Field Documentation

Standard_Address WOKNT_StackIteratorOfStackOfHandle::current `[private]`

The documentation for this class was generated from the following file:

- WOKNT_StackIteratorOfStackOfHandle.hxx